<?php

$query = query(0) ? query(0) : 'homepage';                                      // zjisti jaky skript se ma spustit

// zkontroluj volani skriptu
if (!query_exists($query)) {                                                    // existuje dany skript?
    $query = 'error-404';
} else if (!query_check_params($query)) {                                       // je volan se spravnymi parametry?
    $query = 'error-404';
} else if (!query_check_rights($query)) {                                       // ma uzivatel pravo skript volat?
    $query = 'error-403';
}

// zajisti zobrazeni stranky nebo provedeni skriptu
switch ($query) {

    case 'homepage':
        define('MAIN_CONTENT', 'homepage.tpl');
        break;

    // --- uzivatel ------------------------------------------------------------

    case 'user-login-do':
        if (userLogin($_POST['login'], $_POST['password'])) {
            add_result('Byl jste v pořádku přihlášen.');
        }
        redirect(url());
        break;
        
    case 'user-logout-do':
        userLogout();
        add_result('Byl jste v pořádku odhlášen.');
        redirect(url());
        break;

    // --- hry, scenare --------------------------------------------------------
    
    case 'play-list-public':
        define('MAIN_CONTENT', 'play/play_list_public.tpl');
        define('MAIN_INCLUDE', 'play/play_list_public.php');
        break;
        
    case 'play-detail':
        define('MAIN_CONTENT', 'play/play_detail.tpl');
        define('MAIN_INCLUDE', 'play/play_detail.php');
        break;
        
    case 'play-sign':
        if (play_sign(query('id_play'), query('id_side'), userId())) {
            add_result('Byl jste přihlášen ke hře.');
            redirect(url('play-detail', query('id_play')));
        }
        break;
        
    case 'play-unsign':
        if (play_unsign(query('id_play'), userId())) {
            add_result('Byl jste odhlášen od hry.');
            redirect(url('play-detail', query('id_play')));
        }
        break;

    // --- chybove hlasky ------------------------------------------------------
        
    case 'error-404':
        header('HTTP/1.0 404 Not Found');
        define('MAIN_CONTENT', 'error/error-404.tpl');
        break;
            
    case 'error-403':
        header('HTTP/1.0 403 Forbidden');
        define('MAIN_CONTENT', 'error/error-403.tpl');
        break;

}

// zobraz jako hlavni obsah prislusnou sablonu
$tpl->assign('main_content', defined('MAIN_CONTENT') ? MAIN_CONTENT : 'void.tpl');

// includuj prislusny soubor
if (defined('MAIN_INCLUDE')) include(PATH_SCRIPT.'/'.MAIN_INCLUDE);

// pokud bylo usouzeno, zobraz stranku 404
if (defined('THROW_404')) {
    header('HTTP/1.0 404 Not Found');
    $tpl->assign('main_content', 'error/error-404.tpl');
}

?>