<?php

// zabraneni cachovani a nastaveni kodovani
header('Content-type: text/html; charset=utf-8');
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');                               // datum v minulosti
header('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
header('Cache-Control: no-cache, must-revalidate');                             // HTTP/1.1
header('Pragma: no-cache');                                                     // HTTP/1.0
header('Cache-Control: post-check=0, pre-check=0', false);

// konfiguracni soubory
include('./config/config.php');
include('./config/config.sql.php');
include('./config/config.access.php');

// knihovny pro administraci
include(PATH_LIBRARY.'/lib.core.php');
include(PATH_LIBRARY.'/lib.sql.php');
include(PATH_LIBRARY.'/lib.action-result.php');
require(PATH_LIBRARY.'/smarty/Smarty.class.php');

// knihovny pro jednotlive datove entity
include(PATH_LIBRARY.'/lib.user-login.php');
include(PATH_LIBRARY.'/lib.user-right.php');
include(PATH_LIBRARY.'/lib.play.php');
/*
include(PATH_LIBRARY.'/lib.user-edit.php');
*/

// sjednot servery s magic_quotes_gpc a bez - vse zaslashuj
if (!ini_get('magic_quotes_gpc')) {
    foreach ($_REQUEST as $key => $value) {
        $_REQUEST[$key] = g_addslashes($value);
    }
}

// vytvoreni a nastaveni sablonovaciho systemu
$tpl = new Smarty();
$tpl->template_dir  = PATH_TEMPLATE.'/templates';
$tpl->compile_dir   = PATH_TEMPLATE.'/compiled';
$tpl->cache_dir     = PATH_TEMPLATE.'/cache';
$tpl->config_dir    = PATH_TEMPLATE.'/configs';

// nastaveni zakladnich parametru sablony
$tpl->assign('css_path', CSS_PATH);

// zahajeni session
session_start();

// pripojeni k databazi
if (db_pconnect(SQL_HOST, SQL_LOGIN, SQL_PASSWORD) && db_select_db(SQL_DATABASE) && db_query('SET NAMES '.SQL_NAMES)) {
    // kontrola prihlaseneho uzivatele
    if (userLogged()) {
        userHit();
        userLoadRights();
        $tpl->assign('main_user', 'user/user_box.tpl');
        $tpl->assign('user', array('nick'                   => userNick(),
                                   'url_play_list_public'   => url('play-list-public'),
                                   'url_logout'             => url('user-logout-do')));
    } else {
        userLogout();
        userClearRights();
        $tpl->assign('url_login', url('user-login-do'));
        $tpl->assign('main_user', 'user/login_box.tpl');
    }
    // zobrazeni patricne stranky nebo provedeni akce
    $_QUERY = explode(URL_SEPARATOR, $_SERVER['QUERY_STRING']);
    include('control.php');
    // odpojeni od databaze
    db_close();
} else {
    // TODO - co kdyz neni pripojena databaze?!
}

// vypis vysledku akci a chybovych hlasek
display_action_result($tpl);
clear_action_result();

// zobrazeni cele vygenerovane stranky
$tpl->display('index.tpl');

?>
