<?php

/**
 *  Zahlas vysledek nejake akce.
 *  @param      string      $text           text hlasky
 *  @return     void  
 */
function add_result($text) {
    if (!isset($_SESSION['action_result'])) {
        $_SESSION['action_result'] = array($text);
    } else {
        $_SESSION['action_result'][] = $text;
    }
}

/**
 *  Zahlas chybovy vysledek nejake akce.
 *  @param      string      $text           text hlasky
 *  @return     void  
 */
function add_error($text) {
    if (!isset($_SESSION['action_error'])) {
        $_SESSION['action_error'] = array($text);
    } else {
        $_SESSION['action_error'][] = $text;
    }
}

/**
 *  Vrat pocet nastavenych vysledku akci.
 *  @return     int 
 */
function get_results() {
    return isset($_SESSION['action_result']) ? count($_SESSION['action_result']) : 0;
}

/**
 *  Vrat pocet nastavenych vysledku akci.
 *  @return     int 
 */
function get_errors() {
    return isset($_SESSION['action_error']) ? count($_SESSION['action_error']) : 0;
}

/**
 *  Vymaz vsechny vysledky a chybove hlasky.
 *  @return     void 
 */
function clear_action_result() {
    unset($_SESSION['action_result']);
    unset($_SESSION['action_error']);
}

/**
 *  Vypis do sablony vysledky akci.
 *  @param      object      $tpl            objekt sablonovaciho systemu, do ktereho se hlaska vklada
 *  @param      string      $var            nazev SMarty-promenne, do niz se hlaska vlozi 
 *  @return     void 
 */
function display_action_result(&$tpl, $var = 'action_result') {
    $tpl->assign($var, $tpl->fetch('action-result.tpl'));
}

?>