<?php

/**
 *  Pripoji se k databazi.
 *  @param      string      $host       hostname databazoveho stroje
 *  @param      string      $login      prihlasovaci jmeno
 *  @param      string      $password   prihlasovaci heslo
 *  @return     resource    link na pripojeni nebo false
 */
function db_connect($host, $login, $password) {
    return @mysql_connect($host, $login, $password);
}

/**
 *  Pripoji se persistentne k databazi.
 *  @param      string      $host       hostname databazoveho stroje
 *  @param      string      $login      prihlasovaci jmeno
 *  @param      string      $password   prihlasovaci heslo
 *  @return     resource    link na pripojeni nebo false
 */
function db_pconnect($host, $login, $password) {
    return @mysql_pconnect($host, $login, $password);
}

/**
 *  Volba databaze
 *  @param      string      $db         nazev databaze
 *  @return     bool        true pri uspechu, jinak false
 */
function db_select_db($db) {
    return @mysql_select_db($db);
}

/**
 *  Odpoji se od databaze
 *  @return     void
 */
function db_close() {
    @mysql_close();
}

/**
 *  Prefixuj v dotazu vsechny tabulky zvolenym prefixem.
 *  @param      string      $query      SQL dotaz
 *  @return     string                  dotaz s prefixovanymi nazvy tabulek 
 */
function db_prefix($query) {
    return str_replace(SQL_PREFIX_TOKEN, SQL_PREFIX, $query);
}

/**
 *  Posli databazi SQL dotaz
 *  @param      string      $query      dotaz
 *  @return     resource    vysledny resource, pripadne true nebo false
 */
function db_query($query) {
    return @mysql_query(SQL_USE_PREFIX ? db_prefix($query) : $query);
}

/**
 *  Vrat dalsi zaznam z resource
 *  @param      resource    $result     resource z predchoziho dotazu
 *  @return     mixed       pole s dalsim radkem nebo false
 */
function db_fetch_array($result) {
    return @mysql_fetch_array($result, MYSQL_ASSOC);
}

/**
 *  Vrat radek z databaze
 *  @param      string      $query      dotaz
 *  @return     array       pole s vysledkem nebo false
 */
function db_get_row($query) {
    return @mysql_fetch_array(db_query($query), MYSQL_ASSOC);
}

/**
 *  Vrat hodnotu bunky z radku databaze
 *  @param      string      $query      dotaz
 *  @param      string      $column     nazev sloupce, ktery chci vratit
 *  @return     mixed       hodnota sloupce v radku nebo false  
 */
function db_get_cell($query, $column) {
    if ($row = @mysql_fetch_array(db_query($query), MYSQL_ASSOC)) {
        return $row[$column];
    } else {
        return false;
    }
}

/**
 *  Vrat pole s vysledky dotazu
 *  @param      string      $query      dotaz
 *  @param      string      $id         nazev pole, ktere ma byt klicem v poli
 *  @param      array       $return     pole, do ktereho se bude vysledek pridavat 
 *  @return     array       pole s vysledkem (klicem v poli je hodnota sloupce $id, hodnotou je pole s radkem z tabulky)
 */
function db_get_array($query, $id = false, $return = array()) {
    $result = db_query($query);
    if ($id) {
        while ($row = @mysql_fetch_array($result, MYSQL_ASSOC)) {
            $return[$row[$id]] = $row;
        }
    } else {
        while ($row = @mysql_fetch_array($result, MYSQL_ASSOC)) {
            $return[] = $row;
        }
    }
    return $return;
}

/**
 *  Vrat pole s vysledky dotazu
 *  @param      string      $query      dotaz
 *  @param      string      $key        nazev pole, ktere ma byt klicem v poli nebo false pri zadnem klici
 *  @param      string      $value      nazev pole, ktere se bude brat jako hodnota v poli
 *  @param      array       $return     pole, do ktereho se bude vysledek pridavat 
 *  @return     array       pole s vysledkem (klicem v poli je hodnota sloupce $id, hodnotou je hodnota ve sloupci $value)
 */
function db_get_array_simple($query, $key, $value, $return = array()) {
    $result = db_query($query);
    if ($key) {
        while ($row = @mysql_fetch_array($result, MYSQL_ASSOC)) {
            $return[$row[$key]] = $row[$value];
        }
    } else {
        while ($row = @mysql_fetch_array($result, MYSQL_ASSOC)) {
            $return[] = $row[$value];
        }
    }
    return $return;
}

/**
 *  Vrat posledni vlozene id
 *  @return     int         posledni vlozene id
 */
function db_insert_id() {
    return @mysql_insert_id();
}

/**
 *  Vrat pocet nalezenych zaznamu
 *  @param      resource    vysledek dotazu
 *  @return     int         pocet nalezenych zaznamu
 */
function db_num_rows($result) {
    return @mysql_num_rows($result);
}

?>
