<?php

/**
 *  Vrat id prihlaseneho uzivatele nebo 0 pro neprihlaseneho
 *  @return     int     id uzivatele nebo 0 pro neprihlaseneho
 */
function userId() {
    if (empty($_SESSION['user_id'])) return 0;
    return $_SESSION['user_id'];
}

/**
 *  Vrat nick prihlaseneho uzivatele nebo ''
 *  @return     string     nick uzivatele nebo '' pro neprihlaseneho
 */
function userNick() {
    if (empty($_SESSION['user_nick'])) return '';
    return $_SESSION['user_nick'];
}

/**
 *  Pridej hitnuti k aktualnimu uzivateli
 *  @return     void
 */
function userHit() {
    if (empty($_SESSION['user_id'])) return;
    db_query('UPDATE user SET date_hit = NOW() WHERE id_user = '.$_SESSION['user_id']);
}

/**
 *  Odhlas aktualniho uzivatele
 *  @return     void
 */
function userLogout() {
    if (empty($_SESSION['user_id'])) return;
    db_query('UPDATE user SET date_logout = NOW() WHERE id_user = '.$_SESSION['user_id']);
    $_SESSION['user_id'] = 0;
    $_SESSION['user_nick'] = '';
}

/**
 *  Over zda nevyprselo uzivatelovo prihlaseni
 *  @return     bool        true pokud nevyprselo, false pokud vyprselo
 */
function userLogged() {
    if (empty($_SESSION['user_id'])) return false;
    $row = db_get_row('SELECT count(*) AS count 
                       FROM user 
                       WHERE id_user = '.$_SESSION['user_id'].'
                       AND (date_hit + INTERVAL '.USER_LOGIN_PERIOD.' SECOND) > NOW()
                       AND date_logout <= date_login
                       ');
    return $row['count'] != 0;
}

/**
 *  Pokus se prihlasit uzivatele s danym loginem a heslem
 *  @param      string      $login      login, case-insensitive
 *  @param      string      $password   heslo, case-sensitive
 *  @param      bool        $md5        pokud true, je $password jiz v md5 podobe
 *  @return     bool        true pri uspesnem loginu, jinak false
 */
function userLogin($login, $password, $md5 = false) {
    if (!$md5) $password = md5($password);
    // zkontroluj zda existuje login
    $row = db_get_row('SELECT id_user, password_md5, nick FROM user WHERE LOWER(login) = "'.strtolower($login).'"');
    if (!$row) {
        add_error('Zadal jste neexistující login.');
        return false;
    }
    // zkontroluj heslo
    if ($password != $row['password_md5']) {
        add_error('Zadal jste nesprávné heslo.');
        return false;
    }
    // vse ok, prihlas uzivatele
    db_query('UPDATE user SET date_login = NOW(), date_hit = NOW() WHERE id_user = '.$row['id_user']);
    $_SESSION['user_id'] = $row['id_user'];
    $_SESSION['user_nick'] = $row['nick'];
    return true;
}

?>
